import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { ProductsComponent } from './products/products.component';

const routes: Routes = [
  { path: 'products', component: ProductsComponent },
  { path: 'home', component: HomeComponent },
  // puedes tener otras rutas aquí
  { path: '', redirectTo: '/home', pathMatch: 'full' }, // Redirigir vacío a /home
  { path: '**', redirectTo: '/home' } // Ruta desconocida también a /home
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }

